function BusterShotCreate(me)
	SetPower(me,1.75)
	SetHealth(me,1.75)
	SetVelocity(me, 7.25)
	SetPalette(me, 2)
end

function BusterShotDeath(me)
	child = CreateObject(me,"PelletImpact","PlayerFX", 0,2,-1,false)
	--OffsetObject(child, 1, 1)
end

function BusterShotCollide(me, you)
	if GetHealth(me) <= GetHealth(you)
	then
		BusterShotDeath(me)
	else
		SetHealth(me,0)
	end
end